﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace IGUnhandledExceptionTest
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        private static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Application.ThreadException += (sender, args) =>
                {
                    MessageBox.Show(string.Format(
                        "Exception is catched at Thread Exception. Message:{0}",
                        args.Exception.Message));
                };

            AppDomain.CurrentDomain.UnhandledException += (sender, args) =>
                {
                    MessageBox.Show(string.Format(
                        "Exception is catched at Unhandled Exception. Message:{0}",
                        (args.ExceptionObject as Exception).Message));
                };

            Application.SetUnhandledExceptionMode(UnhandledExceptionMode.ThrowException);

            Application.Run(new Form1());

        }
    }
}
